import React from 'react';
import { create } from 'jss';
import { StylesProvider, createGenerateClassName } from '@mui/styles';
import { ThemeProvider, createTheme } from '@mui/material/styles';
export var TestStylesProvider = function (_a) {
    var children = _a.children;
    var jss = create();
    var muiTheme = createTheme({});
    var generateClassName = createGenerateClassName({ productionPrefix: '', disableGlobal: false });
    jss.use({
        onProcessStyle: function (style) { return ({
            display: style.display,
            visibility: style.visibility,
            'pointer-events': style['pointer-events']
        }); }
    });
    return (React.createElement(ThemeProvider, { theme: muiTheme },
        React.createElement(StylesProvider, { jss: jss, generateClassName: function (rule, styleSheet) { return rule.key || generateClassName(rule, styleSheet); } }, children)));
};
